Bug 143072 - [PATCH] games/battletanks: update to 0.9.8083
Summary: [PATCH] games/battletanks: update to 0.9.8083
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-21 22:10 UTC by Bernhard Froehlich
Modified: 2010-04-25 12:41 UTC (History)
1 user (show)

See Also:


Attachments
btanks-0.9.8083.patch (28.93 KB, patch)
2010-01-21 22:10 UTC, Bernhard Froehlich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard Froehlich 2010-01-21 22:10:06 UTC
- Update to 0.9.8083
- Lua dependency is mandatory since 0.9
- SMPEG dependency added
- GCC 4.3+ dependency added because of a compiler bug in
  gcc 4.2 from base with smpeg/MPEGfilter.h 
- SSE disabled because of a build failure

Added file(s):
- files/patch-Install
- files/patch-clunk-SConscript
- files/patch-engine-SConscript

Removed file(s):
- files/patch-SConscript
- files/patch-net_monitor.cpp
- files/patch-net_scanner.cpp

Port maintainer (danfe@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Martin Wilke freebsd_committer 2010-01-21 22:10:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2010-01-23 19:03:07 UTC
Responsible Changed
From-To: miwi->danfe

Over to maintainer.
Comment 3 dfilter service freebsd_committer 2010-04-25 12:01:58 UTC
makc        2010-04-25 11:01:44 UTC

  FreeBSD ports repository

  Modified files:
    games/battletanks    Makefile distinfo pkg-plist 
    games/battletanks/files patch-SConstruct 
  Added files:
    games/battletanks/files patch-Install patch-clunk-SConscript 
                            patch-engine-SConscript 
                            patch-engine_net_monitor.cpp 
                            patch-engine_net_scanner.cpp 
  Removed files:
    games/battletanks/files patch-SConscript patch-net_monitor.cpp 
                            patch-net_scanner.cpp 
  Log:
  - Update to 0.9.8083
  - Lua dependency is mandatory since 0.9
  - SMPEG dependency added
  - GCC 4.3+ dependency added because of a compiler bug in
  gcc 4.2 from base with smpeg/MPEGfilter.h
  - SSE disabled because of a build failure
  
  PR:             ports/143072
  Submitted by:   Bernhard Froehlich <decke at bluelife.at>
  Approved by:    maintainer timeout (danfe@, three months)
  
  Revision  Changes    Path
  1.14      +28 -21    ports/games/battletanks/Makefile
  1.2       +3 -3      ports/games/battletanks/distinfo
  1.1       +41 -0     ports/games/battletanks/files/patch-Install (new)
  1.2       +0 -23     ports/games/battletanks/files/patch-SConscript (dead)
  1.3       +12 -21    ports/games/battletanks/files/patch-SConstruct
  1.1       +24 -0     ports/games/battletanks/files/patch-clunk-SConscript (new)
  1.1       +23 -0     ports/games/battletanks/files/patch-engine-SConscript (new)
  1.1       +10 -0     ports/games/battletanks/files/patch-engine_net_monitor.cpp (new)
  1.1       +10 -0     ports/games/battletanks/files/patch-engine_net_scanner.cpp (new)
  1.2       +0 -10     ports/games/battletanks/files/patch-net_monitor.cpp (dead)
  1.2       +0 -10     ports/games/battletanks/files/patch-net_scanner.cpp (dead)
  1.2       +7 -421    ports/games/battletanks/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Max Brazhnikov freebsd_committer 2010-04-25 12:41:31 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!